FROM debian

ENV CHRONOGRAF_VERSION 1.0.0
RUN apt-get update && apt-get install -y wget && \
    apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/* && \
    wget -q https://dl.influxdata.com/chronograf/releases/chronograf_${CHRONOGRAF_VERSION}_amd64.deb && \
    dpkg -i chronograf_${CHRONOGRAF_VERSION}_amd64.deb && \
    rm -f chronograf_${CHRONOGRAF_VERSION}_amd64.deb
COPY chronograf.conf /etc/chronograf/chronograf.conf

EXPOSE 10000

VOLUME /var/lib/chronograf

CMD ["/opt/chronograf/chronograf"]
